/*
 * Copyright
 *   2005 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.utils.xml.helper;

import java.net.InetAddress;
import jonelo.jacksum.algorithm.AbstractChecksum;
import jonelo.jacksum.algorithm.MD;

// Ajout LM  pour emploi dans xsl analyse des flux
import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

/**
 *
 * @author chm
 */
public class HelperFunction {
    private static long count=0;
    public HelperFunction() {
        super();
    }
    
    public static String generateUniqueID() {
        StringBuilder sb = new StringBuilder();
        try {
            InetAddress ia = InetAddress.getLocalHost();
            AbstractChecksum localChecksum = new MD("MD5");
            localChecksum.update(ia.getHostName().getBytes());
            sb.append(localChecksum.getFormattedValue());
        } catch(Exception ex) {}
        sb.append("-").append(System.currentTimeMillis()).append("-").append(++count);
        return sb.toString();
    }

    public static String getDate( String fmt) {
        Date aujordhui  = new Date();
        DateFormat dateFormat = new SimpleDateFormat(fmt);
        return dateFormat.format(aujordhui);
    }
    public static void main(String[] args) {
        String s = generateUniqueID();
        System.out.println("generateUniqueID -> "+s+" ("+s.length()+")");
    }
}
